#! /bin/sh
# Copyright LangBox International - 1999 
# installation script version 1.00 for AXmedit -- Dec 3, 1999

# Actual Begin of script
FAIL=1 
OK=0
TRACE=/tmp/_AXmedit_TRACE_

# We assume your X11 location is as follow: please update if necessary
X11BIN=/usr/bin/X11
X11LIB=/usr/lib/X11

mk_font_X11R5() {
     echo "mk_font_X11R5 " >> $TRACE
     if [ -x $X11BIN/mkfontdir -a -d $X11LIB/fonts/misc ]
     then
         error_cp=0
         for i in ./fonts/*.pcf.Z
         do
             if cp $i $X11LIB/fonts/misc >> $TRACE 2>&1
             then :
             else
                 echo "$X11LIB/fonts/misc is write protected, $i is not installed" | tee -a $TRACE
                 error_cp=1
             fi
         done
         if [ $error_cp = "1" ]
         then 
	     echo "You must copy all pcf.Z files in $X11LIB/fonts/misc manually" | tee -a $TRACE
             echo "then go to directory $X11LIB/fonts/misc and run mkfontdir" | tee -a $TRACE
             echo "to make it available for X Windows" | tee -a $TRACE
             echo "or run \"xset +fp $PWD/fonts\" on each Openwin sessions" | tee -a $TRACE
             return
         fi
         echo "Run $X11BIN/mkfontdir $X11LIB/fonts/misc" >>$TRACE 2>&1
         $X11BIN/mkfontdir $X11LIB/fonts/misc >>$TRACE 2>&1 || {
             echo "mkfontdir error on $X11LIB/fonts/misc, check it to use Openwindows" | tee -a $TRACE ; }

         if [ "$DISPLAY" = "" ]
         then
              echo
              echo "Warning : Cannot get environment variable DISPLAY, set it to ':0.0' by default." | tee -a $TRACE
              DISPLAY=:0.0 ; export DISPLAY
         fi

         echo "Run $X11BIN/xset fp rehash -display $DISPLAY">>$TRACE 2>&1 
         if [ -x $X11BIN/xset ] 
         then
             $X11BIN/xset fp rehash -display $DISPLAY >>$TRACE 2>&1 ||{
                 echo "Warning : The command \"xset fp rehash -display $DISPLAY\" failed" | tee -a $TRACE
                 echo "          Please run it manually after the installation to get Arabic fonts" | tee -a $TRACE
                 echo "          available for the current Openwindow session." | tee -a $TRACE
                 echo "          New Openwindow sessions will get them automatically." | tee -a $TRACE
             }
         else
             echo "Warning : The command \"xset fp rehash -display $DISPLAY\" failed" | tee -a $TRACE
             echo "          Please run it manually after the installation to get Arabic fonts" | tee -a $TRACE
             echo "          available for the current Openwindow session." | tee -a $TRACE
             echo "          New Openwindow sessions will get them automatically." | tee -a $TRACE
         fi
     else
         echo "AXmedit Arabic fonts are not available because" | tee -a $TRACE
         echo "mkfontdir does not exist in $X11BIN" | tee -a $TRACE
         echo "Go to directory $X11LIB/fonts/misc and run mkfontdir" | tee -a $TRACE
         echo "to make it available for X Windows" | tee -a $TRACE
         echo "or run \"xset +fp $PWD/fonts\" on each Openwin sessions" | tee -a $TRACE
     fi
}

########################################################################
# Begin of the script
########################################################################


trap 'eval $cleanup; return $FAIL' 1 2 3 15
echo "AXmedit Installation..."
echo
echo "Installing X Windows Arabic fonts..."  | tee -a $TRACE

if [ -d $X11LIB/fonts ]
then
        mk_font_X11R5
else
    echo 
    echo "WARNING: The \$X11LIB/fonts directory don't exist."| tee -a $TRACE
    echo "-------  Install.sh Cannot install Arabic fonts."| tee -a $TRACE
    echo ""| tee -a $TRACE
    echo "You must run the command : xset +fp $PWD/fonts"| tee -a $TRACE
    echo "before all future sessions."| tee -a $TRACE
    
    $X11BIN/xset +fp $PWD/fonts  2>&1 >> $TRACE
fi

echo "Installing X Resources file..."  | tee -a $TRACE

if [ -d $X11LIB/app-defaults ]
then
    cp AXMedit.ad $X11LIB/app-defaults/AXMedit || {
        echo
        echo "WARNING: The \$X11LIB/app-defaults is write protected."   | tee -a $TRACE
        echo "Please install the AXMedit.ad resource file manually or launch"  | tee -a $TRACE
        echo "'xrdb -merge AXMedit.ad' under each new X server session"  | tee -a $TRACE
        $X11BIN/xrdb  -merge AXMedit.ad
    }
else
        echo
        echo "WARNING: The \$X11LIB/app-defaults does not exists."  | tee -a $TRACE
        echo "Please install the AXMedit.ad resource file manually or launch"  | tee -a $TRACE
        echo "'xrdb -merge AXMedit.ad' under each new X server session"  | tee -a $TRACE
        $X11BIN/xrdb  -merge AXMedit.ad
fi


echo "Installing Help file..."   | tee -a $TRACE


if [ ! -d $HOME/.xlangbox-ara/help ]
then
    mkdir -p $HOME/.xlangbox-ara/help || {
	 echo "WARNING: Cannot create  $HOME/.xlangbox-ara/help directory."  | tee -a $TRACE
         if [ ! -d /usr/lib/xlangbox-ara/help ] 
         then
	     mkdir -p /usr/lib/xlangbox-ara/help || {
		 echo "WARNING: Cannot create  /usr/lib/xlangbox-ara/help directory. "  | tee -a $TRACE
             }
         fi
         echo "To install help file."   | tee -a $TRACE
    }
fi
if [ ! -d $HOME/.xlangbox-ara/aterminfo/m ]
then
    mkdir -p $HOME/.xlangbox-ara/aterminfo/m || {
         echo "WARNING: Cannot create  $HOME/.xlangbox-ara/aterminfo/m directory."  | tee -a $TRACE
         if [ ! -d /usr/lib/xlangbox-ara/aterminfo/m ]
         then
             mkdir -p /usr/lib/xlangbox-ara/aterminfo/m || {
                 echo "WARNING: Cannot create  /usr/lib/xlangbox-ara/aterminfo/m directory. "  | tee -a $TRACE
             }
         fi
         echo "To install mswin-engraved file."   | tee -a $TRACE
    }
fi

[ -d  $HOME/.xlangbox-ara/help ] && cp ./AXMeditHelpFile  $HOME/.xlangbox-ara/help  2>&1 >> $TRACE
[ -d  /usr/lib/xlangbox-ara/help ] && cp ./AXMeditHelpFile  /usr/lib/xlangbox-ara/help 2>&1 >> $TRACE
[ -d $HOME/.xlangbox-ara/aterminfo/m ] && cp mswin-engraved $HOME/.xlangbox-ara/aterminfo/m  2>&1 >> $TRACE
[ -d /usr/lib/xlangbox-ara/aterminfo/m ] && cp mswin-engraved /usr/lib/xlangbox-ara/aterminfo/m  2>&1 >> $TRACE

echo "Installing axmedit binary..." | tee -a $TRACE

if [ -d $X11BIN ] 
then
	cp axmedit $X11BIN || {
		echo "$X11BIN is write protected - Please install axmedit in your PATH" | tee -a $TRACE
        }
else
	echo "$X11BIN not found  - Please install axmedit in your PATH" | tee -a $TRACE
fi

echo "Installing axmedit keyboard mapping"  | tee -a $TRACE

if [ -d ./kbdmap ]
then
	cd ./kbdmap;
	./atic mswin.src
	./atic asmo.src

	export ATERMINFO=$HOME/.xlangbox-ara/aterminfo
        ./atic mswin.src
        ./atic asmo.src
	cd ..
else
	echo "./kbdmap not found, keyboard mapping not installed" | tee -a $TRACE
fi

echo "AXmedit Installation terminated." | tee -a $TRACE

exit 0    # install ok

