atic (1-ARA)


PURPOSE

    Arabic terminal information compiler.


SYNTAX

    atic src_filename.


DESCRIPTION

atic is a compiler. It allows the user to define his own terminal 
characteristics and compile a file usable by the XLANGBOX-ARA environment. 
The syntax used is identical to the standard tic command of the Unix sustem.
The files generated and used by the system are the following :
    /usr/lib/xlangbox-ara/aterminfo/?/*
However, this default directory location can be chabged by setting the 
variable ATERMINFO: For example :

	export ATERMINFO=$HOME/.xlangbox-ara/aterminfo
        atic mymaping.src

will install the compiled files under $HOME/.xlangbox-ara/aterminfo/?/*

The information compiled in file are specified in the ATERMINFO format 
Entries in ATERMINFO source files consist of a number of comma-separated
fields.  White space after each comma is ignored.  Embedded commas must
be escaped by using a backslash.  The following example shows the format
of a terminfo source file.

          alias  | alias  | ... | alias  | longname,
	  <white space> attribute, attribute,
          <white space> attribute,

and must define the following attribute variables :

    omap() : output mapping array. 

         omap(data_1, data_2, data_3, ... data_256) :

         In case the local Arabic font set is different from the default 
         ISO8859-6.8X Arabic character set, you need to define an omap for 
         XLANGBOX-ARA . 
         "data_i" represents the value of the "i"th ISO8859-8.16 Arabic 
         character on this font.
         The table of ISO8859-8.16 Arabic characters is in appendix 2 
         Example :
         For a terminal which line downloads only 96 Arabic characters set
         (VT220 standard), the Arabic Kaf letter is located on the position 
         223(dec) in the ISO8859-8.16 256 Arabic character set and on the
         position 121(dec) on the terminal. Then data_223 is 121 in the 
         omap table corresponding to this font.
	 data_i value can be set in decimal, in octal (start with 0) or
	 in hexadecimal (start with 0x).

	 To activate the omap translation table, you have to define the
	 variable AR_FONTMAPFILE to the ATERMINFO entry filename (like 
	 TERM for TERMINFO).

    imap() input mapping array.

         imap(data_1, data_2, data_3, ... data_256 ) :

         In case the local keyboard of the terminal is different from the 
         standard US ASCII (See appendix 1), or if you have an Arabic engraved
         keyboard different than the default ASMO 663 one, you need to define 
         it for XLANGBOX-ARA .
         This table allows the user to define the real keyboard layout for 
         the XLANGBOX-ARA input dual maping.
         The "i" th item of the imap array (data_i) contains the value of 
         the Arabic character for the "i" th ASCII value sent by the English 
         keyboard. 

         Example:
         On a French AZERTY keyboard, the "A" key must return a "a" code 
         (97 dec) on English layout selected and an Arabic "DAD" code 
         (214 dec) on the Arabic layout selected. Data_97 will be set to 214. 

	 Remark: This input mapping is a one-to-one code translation. In some
	 case, (and mainly in the Arabic MS layout), the Lam-alef ligatures 
	 appear as a standalone key character. In ISO 8859-6, there is no 
	 Lam-alef specific code and then the keyboard has to generate two
	 code. To get this behaviour, the Lam-alef ligatures are encoded 
 	 0xF3, 0xF4, 0xF5 and 0xF6. These 4 codes are not used in ISO 8859-6
	 and allow XLANGBOX-ARA to generate two codes in the input buffer :
	       0xF3 -> 0xE4 (LAM) + 0xC2 (ALEF WITH MADDA ABOVE)
	       0xF4 -> 0xE4 (LAM) + 0xC3 (ALEF WITH HAMZA ABOVE)
	       0xF5 -> 0xE4 (LAM) + 0xC5 (ALEF WITH HAMZA BELOW)
	       0xF6 -> 0xE4 (LAM) + 0xC7 (ALEF)

	 data_i value can be set in decimal, in octal (start with 0) or
	 in hexadecimal (start with 0x).

	 To activate the imap translation table, you have to define the
	 variable AR_KBDMAPFILE to the ATERMINFO entry filename (like 
	 TERM for TERMINFO).

Example :
See file /usr/lib/xlangbox-ara/aterminfo/src as a typical example. 


SEE ALSO

    tic(1), terminfo(4), ATERMINFO(4-ARA)
    Compiled files : /usr/lib/xlangbox-ara/aterminfo/?/*
    Sources files : usr/lib/xlangbox-ara/aterminfo/src

